- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: cba8f942-5901-4234-b9c0-d824656b1f9f
    creation_time: 2023-02-17T13:37:07.984985Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b0e2d27d-2e58-48bf-b611-68d258056157
    creation_time: 2023-02-17T13:37:07.985419Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 40f6cd9d-1ccb-49ba-9be1-7ff66f1d4dc8
    creation_time: 2023-02-17T13:37:07.985510Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: be9d3501-fa6b-41be-b49c-5a08cc7e6714
    creation_time: 2023-02-17T13:37:07.985591Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4e6dce80-72ff-4e75-b035-83c5548b6351
    creation_time: 2023-02-17T13:37:07.985670Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b63e7bb0-0163-4f61-aa67-b59c7eea1f4f
    creation_time: 2023-02-17T13:37:07.985748Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 50e570cf-e95f-417c-8b84-50bda0e0f678
    creation_time: 2023-02-17T13:37:07.985825Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound100.c: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound100.c
    file_hash: ecbe5f0ce97488539db604edfadf8e9064f15df8e290f20f11bd6c6bd2401ed2
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

